List quality rule catalog
GET
/v1/quality-rule-catalogcurl -X GET 'https://api.embodiflow.io/v1/quality-rule-catalog' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Responses
The declared quality check catalog.
- dataobjectrequired
- checksarray<QualityPolicyCatalogEntryDto>required
- maxCostTierstringrequired
- maxCostTierSourcestringrequiredAllowed valuestenantprojectplatform
- snapshotHashstringrequired
Response example
{
"data": {
"checks": [
{
"checkId": "string",
"bindingIdentity": "string",
"ruleVersion": 0,
"family": "string",
"stage": "string",
"costTier": "string",
"scope": "string",
"appliesTo": [
"string"
],
"origin": "tenant",
"previewSupported": false,
"defaultSeverity": "string",
"defaultBlocking": false,
"defaultEnabled": false,
"defaultParams": {},
"messageKey": "string",
"sourceRef": "string",
"effective": {
"enabled": false,
"severity": "string",
"blocking": false,
"params": {},
"sources": {
"enabled": "tenant",
"severity": "tenant",
"blocking": "tenant",
"params": {}
}
}
}
],
"maxCostTier": "string",
"maxCostTierSource": "tenant",
"snapshotHash": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1